- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

Modules | Functions
Ecore_IMF - Ecore Input Method Library Functions
Ecore

Utility functions that set up and shut down the Ecore Input Method library. More...

## Modules
| Ecore Input Method Context Functions
| Functions that operate on Ecore Input Method Context objects.
| Ecore Input Method Context Module Functions
| Functions that should be used by Ecore Input Method Context modules.
| Ecore Input Method Context Evas Helper Functions
| Helper functions to make it easy to use Evas with Ecore_IMF.

## Functions
EAPI int | ecore_imf_init (void)
| Initialises the Ecore_IMF library. More...
EAPI int | ecore_imf_shutdown (void)
| Shuts down the Ecore_IMF library. More...
EAPI Eina_Bool | ecore_imf_input_panel_hide (void)
| Hide the input panel. More...

## Detailed Description

Utility functions that set up and shut down the Ecore Input Method library.

## Function Documentation

EAPI int ecore_imf_init | ( | void |  | ) |

Initialises the Ecore_IMF library.

Returns
  Number of times the library has been initialised without being shut down.

References ecore_event_type_new(), ecore_init(), ecore_shutdown(), eina_log_domain_register(), and EINA_LOG_ERR.

EAPI int ecore_imf_shutdown | ( | void |  | ) |

Shuts down the Ecore_IMF library.

Returns
  Number of times the library has been initialised without being shut down.

References ecore_shutdown(), and eina_log_domain_unregister().

EAPI Eina_Bool ecore_imf_input_panel_hide | ( | void |  | ) |

Hide the input panel.

Returns
  EINA_TRUE if the input panel will be hidden EINA_FALSE if the input panel is already in hidden state

Since
  1.8.0

References ecore_imf_context_input_panel_hide(), ecore_imf_context_input_panel_state_get(), ECORE_IMF_INPUT_PANEL_STATE_HIDE, EINA_FALSE, and EINA_TRUE.